Package ru.bitel.bgbilling.kernel.script.server.bean

# Class ScriptInstance

java.lang.Object
ru.bitel.bgbilling.kernel.script.server.bean.ScriptInstance

public class ScriptInstance extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ScriptInstance.DeprecatedCheker`
  `static interface`
  `ScriptInstance.ScriptValidator`
  `static class`
  `ScriptInstance.ValidationException`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ru.bitel.common.io.ThreadedPrintStream`
  `err`
  `protected bsh.Interpreter`
  `interpreter`
  `protected ru.bitel.common.io.ThreadedPrintStream`
  `out`
  `protected bsh.This`
  `thiz`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScriptInstance(Script script)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `eval(PrintStream out, PrintStream err, Map<String,Object> vars)`
  `bsh.Interpreter`
  `getInterpreter()`
  `Script`
  `getScript()`
  `Object`
  `invoke(String method, Object[] args)`
  `Object`
  `invoke(String method, Object[] args, PrintStream out, PrintStream err)`
  `static boolean`
  `methodExist(Script f, String method)`
  `static Set<String>`
  `methodNames(Script f)`
  `void`
  `recycle()`
  `String`
  `toString()`
  `static void`
  `validateScript(Script f)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### interpreter

    protected bsh.Interpreter interpreter

  - ### thiz

    protected bsh.This thiz

  - ### out

    protected ru.bitel.common.io.ThreadedPrintStream out

  - ### err

    protected ru.bitel.common.io.ThreadedPrintStream err

- ## Constructor Details

  - ### ScriptInstance

    public ScriptInstance(Script script)

- ## Method Details

  - ### validateScript

    public static void validateScript(Script f) throws ScriptInstance.ValidationException
    Throws:
      `ScriptInstance.ValidationException`

  - ### methodExist

    public static boolean methodExist(Script f, String method)

  - ### methodNames

    public static Set<String> methodNames(Script f)

  - ### getScript

    public Script getScript()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### eval

    public Object eval(PrintStream out, PrintStream err, Map<String,Object> vars) throws bsh.EvalError
    Throws:
      `bsh.EvalError`

  - ### invoke

    public Object invoke(String method, Object[] args, PrintStream out, PrintStream err) throws bsh.EvalError
    Throws:
      `bsh.EvalError`

  - ### invoke

    public Object invoke(String method, Object[] args) throws bsh.EvalError
    Throws:
      `bsh.EvalError`

  - ### getInterpreter

    public bsh.Interpreter getInterpreter()

  - ### recycle

    public void recycle()